## yascreen 2.06

=== Makefile ===
################################################################################
################### Makefile is preferred by any other make ####################
################################################################################
#
# Copyright © 2015-2025 Boian Bonev (bbonev@ipacct.com) {{{
#
# SPDX-License-Identifer: LGPL-3.0-or-later
#
# This file is part of yascreen - yet another screen library.
#
# yascreen is free software, released under the terms of GNU Lesser General Public License v3.0 or later
#
# }}}

all .DEFAULT:
	@if [ ! -x "$$(command -v gmake 2>/dev/null)" ]; then echo gmake is required; false; fi
	@gmake --no-print-directory -f GNUmakefile $@

.PHONY: all

## yascreen 1.85

=== debian/changelog ===
yascreen (1.85-1) unstable; urgency=medium

  * Update to new upstream release of 1.84
    - fix some typos
    - restore compatibility with line apps before output buffering was
      implemented
    - add yascreen_line_flush to disable internal flushes
    - fix flush to be propagated to the external output callback
  * Update to new upstream release of 1.85
    - fix gcc10 warning on 32bit architectures

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 01 Oct 2020 00:15:45 +0300

yascreen (1.82-1) unstable; urgency=medium

  * Update to new upstream release of 1.81
    - relincense under LGPL 3+
    - remove debian folder from release tarballs (lintian: no-debian-changes)
    - build only the library by default
    - include generated yascreen.3 in release tarball to avoid most probably
      missing/uninstallable go-md2man tool
  * Indent continuation lines in long description
  * Change release tarballs url in debian/watch
  * Do not build-dep on go-md2man
  * Update to new upstream release of 1.82
    - implemented symbol versioning
    - fixed bug with error handling in out (negative result from write would
      cause OOB access)
    - fixed undefined behaviour with void pointer arithmetic

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 29 Sep 2020 00:28:57 +0000

yascreen (1.80-1) unstable; urgency=medium

  * Initial release (Closes: #969927)

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 11 Aug 2020 18:59:47 +0000

=== debian/control ===
Source: yascreen
Section: libs
Priority: optional
Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Homepage: https://github.com/bbonev/yascreen
Vcs-Browser: https://github.com/bbonev/yascreen
Vcs-Git: https://github.com/bbonev/yascreen.git
Rules-Requires-Root: no

Package: libyascreen-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends:
 libyascreen0 (= ${binary:Version}),
 ${misc:Depends},
Description: Yet Another Screen Library (lib(n)curses alternative)
 Development files of Yet Another Screen Library - lib(n)curses alternative
 oriented towards modern terminals.
 .
 Suitable for developing terminal applications or daemons with
 telnet access and terminal support.
 .
 Main features
 .
  * small footprint
  * does not have external dependencies
  * allows both internal and external event loop
  * allows stdin/stdout or external input/output (can work over socket)
  * supports basic set of telnet sequences, making it suitable for built-in
    terminal interfaces for daemons
  * supports a limited set of input keystroke sequences
  * fully unicode compatible (parts of this depend on wcwidth in libc)
  * supports utf8 verification of input
  * relies only on a limited subset of ansi/xterm ESC sequences, making it
    compatible with mostly all modern terminals (inspired by linenoise)
  * there is no curses API and ancient terminal compatibility, hence less bloat
  * clean API with opaque private data, usable from C/C++

Package: libyascreen0
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Yet Another Screen Library - development files
 lib(n)curses alternative oriented towards modern terminals.
 .
 Suitable for developing terminal applications or daemons with
 telnet access and terminal support.
 .
 Main features
 .
  * small footprint
  * does not have external dependencies
  * allows both internal and external event loop
  * allows stdin/stdout or external input/output (can work over socket)
  * supports basic set of telnet sequences, making it suitable for built-in
    terminal interfaces for daemons
  * supports a limited set of input keystroke sequences
  * fully unicode compatible (parts of this depend on wcwidth in libc)
  * supports utf8 verification of input
  * relies only on a limited subset of ansi/xterm ESC sequences, making it
    compatible with mostly all modern terminals (inspired by linenoise)
  * there is no curses API and ancient terminal compatibility, hence less bloat
  * clean API with opaque private data, usable from C/C++

=== debian/rules ===
#!/usr/bin/make -f

export NO_FLTO=1
export PREFIX=/usr
export LIBDIR=/lib/${DEB_HOST_MULTIARCH}/
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=makefile --without=autoreconf

=== debian/watch ===
version=4

opts=\
	"filenamemangle=s%(?:.*?)?yascreen-?(\d[\d.]*)\.tar\.xz%yascreen_$1.orig.tar.xz%,pgpsigurlmangle=s/releases\/download\/v([0-9.]+)\/yascreen-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/yascreen-$1\.tar\.xz\.asc/" \
	https://github.com/bbonev/yascreen/releases \
	(?:.*?/)?yascreen-?(\d[\d.]*)\.tar\.xz \
	debian uupdate

## yascreen 1.86

=== debian/changelog ===
yascreen (1.86-1) unstable; urgency=medium

  * Update to new upstream release of 1.86
    - fix typos in escape seqences

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 07 Sep 2021 04:16:56 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/bbonev/yascreen
 Vcs-Browser: https://github.com/bbonev/yascreen
 Vcs-Git: https://github.com/bbonev/yascreen.git

## yascreen 1.97

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/bbonev/yascreen
 Vcs-Browser: https://github.com/bbonev/yascreen
 Vcs-Git: https://github.com/bbonev/yascreen.git

## yascreen 1.99

=== debian/changelog ===
yascreen (1.99-1) unstable; urgency=medium

  * Update to new upstream release of 1.99

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 09 Nov 2023 22:32:39 +0000

yascreen (1.97-1) unstable; urgency=medium

  * Update to new upstream release of 1.97

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 17 Feb 2023 14:59:32 +0000

yascreen (1.96-1) unstable; urgency=medium

  * Update to new upstream release of 1.96

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 03 Feb 2023 23:21:36 +0000

yascreen (1.95-1) unstable; urgency=medium

  * Update to new upstream release of 1.95
    - wide char input
    - backward compatible

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 06 Jan 2023 04:37:40 +0000

yascreen (1.92-1~exp1) experimental; urgency=medium

  * Update standards to 4.6.2, no changes
  * Update to new upstream release of 1.92
    - wide char input
    - soname bump

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 02 Jan 2023 11:25:38 +0000

## yascreen 2.06

=== debian/changelog ===
yascreen (2.06-1) unstable; urgency=medium

  * Update to new upstream release of 2.06
  * Bump standards to 4.7.0, no changes

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 15 Jan 2025 15:43:18 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/bbonev/yascreen
 Vcs-Browser: https://github.com/bbonev/yascreen
 Vcs-Git: https://github.com/bbonev/yascreen.git

=== debian/watch ===
version=4

opts="searchmode=plain, \
	pgpsigurlmangle=s/releases\/download\/v([0-9.]+)\/yascreen-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/yascreen-$1\.tar\.xz\.asc/" \
	https://api.github.com/repos/bbonev/yascreen/releases \
	https://github.com/bbonev/yascreen/releases/download/v\d[\.\d]*/yascreen-@ANY_VERSION@.tar.xz
